Package xg.md

# Class ProtocolMetadata.protocolIdentity

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
xg.md.ProtocolMetadata.protocolIdentity

All Implemented Interfaces:
  `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Serializable`, `ProtocolMetadata.protocolIdentityOrBuilder`

Enclosing class:
  ProtocolMetadata

public static final class ProtocolMetadata.protocolIdentity extends GeneratedMessageV3 implements ProtocolMetadata.protocolIdentityOrBuilder

     Represents a protocol identity

Protobuf type `xg.md.protocolIdentity`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ProtocolMetadata.protocolIdentity.anonymousIdentity`
A node with an anonymous identity should generally create a UUID.
`static interface`
`ProtocolMetadata.protocolIdentity.anonymousIdentityOrBuilder`
`static final class`
`ProtocolMetadata.protocolIdentity.Builder`
Represents a protocol identity
`static final class`
`ProtocolMetadata.protocolIdentity.certFingerprintIdentity`
The nodes original security certificate fingerprint identity Note - this is not always necessarily the same as nodeInfo.signed_certificate_fingerprint as a nodes certificate can be renewed and changed However, this value is immutable and should come from the rolehostd.conf file
`static interface`
`ProtocolMetadata.protocolIdentity.certFingerprintIdentityOrBuilder`
`static final class`
`ProtocolMetadata.protocolIdentity.hostnameIdentity`
Simple hostname identity
`static interface`
`ProtocolMetadata.protocolIdentity.hostnameIdentityOrBuilder`
`static enum`
`ProtocolMetadata.protocolIdentity.IdentityCase`
`static enum`
`ProtocolMetadata.protocolIdentity.identityType`
Protobuf enum `xg.md.protocolIdentity.identityType`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`GeneratedMessageV3.BuilderParent, GeneratedMessageV3.ExtendableBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessageV3.ExtendableMessage<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.FieldAccessorTable, GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ANONYMOUS_IDENTITY_FIELD_NUMBER`
`static final int`
`CERT_FINGERPRINT_IDENTITY_FIELD_NUMBER`
`static final int`
`HOSTNAME_IDENTITY_FIELD_NUMBER`
`static final int`
`TYPE_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`ProtocolMetadata.protocolIdentity.anonymousIdentity`
`getAnonymousIdentity()`
anonymous identity
`ProtocolMetadata.protocolIdentity.anonymousIdentityOrBuilder`
`getAnonymousIdentityOrBuilder()`
anonymous identity
`ProtocolMetadata.protocolIdentity.certFingerprintIdentity`
`getCertFingerprintIdentity()`
cert fingerprint identity
`ProtocolMetadata.protocolIdentity.certFingerprintIdentityOrBuilder`
`getCertFingerprintIdentityOrBuilder()`
cert fingerprint identity
`static ProtocolMetadata.protocolIdentity`
`getDefaultInstance()`
`ProtocolMetadata.protocolIdentity`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`ProtocolMetadata.protocolIdentity.hostnameIdentity`
`getHostnameIdentity()`
hostname identity
`ProtocolMetadata.protocolIdentity.hostnameIdentityOrBuilder`
`getHostnameIdentityOrBuilder()`
hostname identity
`ProtocolMetadata.protocolIdentity.IdentityCase`
`getIdentityCase()`
`Parser<ProtocolMetadata.protocolIdentity>`
`getParserForType()`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`ProtocolMetadata.protocolIdentity.identityType`
`getType()`
The type of the identity
`int`
`getTypeValue()`
The type of the identity
`boolean`
`hasAnonymousIdentity()`
anonymous identity
`boolean`
`hasCertFingerprintIdentity()`
cert fingerprint identity
`int`
`hashCode()`
Returns the hash code value for this message.
`boolean`
`hasHostnameIdentity()`
hostname identity
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static ProtocolMetadata.protocolIdentity.Builder`
`newBuilder()`
`static ProtocolMetadata.protocolIdentity.Builder`
`newBuilder(ProtocolMetadata.protocolIdentity prototype)`
`ProtocolMetadata.protocolIdentity.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected ProtocolMetadata.protocolIdentity.Builder`
`newBuilderForType(GeneratedMessageV3.BuilderParent parent)`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.
`protected Object`
`newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)`
Creates a new instance of this message type.
`static ProtocolMetadata.protocolIdentity`
`parseDelimitedFrom(InputStream input)`
`static ProtocolMetadata.protocolIdentity`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ProtocolMetadata.protocolIdentity`
`parseFrom(byte[] data)`
`static ProtocolMetadata.protocolIdentity`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static ProtocolMetadata.protocolIdentity`
`parseFrom(ByteString data)`
`static ProtocolMetadata.protocolIdentity`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static ProtocolMetadata.protocolIdentity`
`parseFrom(CodedInputStream input)`
`static ProtocolMetadata.protocolIdentity`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static ProtocolMetadata.protocolIdentity`
`parseFrom(InputStream input)`
`static ProtocolMetadata.protocolIdentity`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static ProtocolMetadata.protocolIdentity`
`parseFrom(ByteBuffer data)`
`static ProtocolMetadata.protocolIdentity`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<ProtocolMetadata.protocolIdentity>`
`parser()`
`ProtocolMetadata.protocolIdentity.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### TYPE_FIELD_NUMBER

public static final int TYPE_FIELD_NUMBER

See Also:
  - Constant Field Values

### HOSTNAME_IDENTITY_FIELD_NUMBER

public static final int HOSTNAME_IDENTITY_FIELD_NUMBER

See Also:
  - Constant Field Values

### ANONYMOUS_IDENTITY_FIELD_NUMBER

public static final int ANONYMOUS_IDENTITY_FIELD_NUMBER

See Also:
  - Constant Field Values

### CERT_FINGERPRINT_IDENTITY_FIELD_NUMBER

public static final int CERT_FINGERPRINT_IDENTITY_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)
Description copied from class: `GeneratedMessageV3`
Creates a new instance of this message type. Overridden in the generated code.

Overrides:
  `newInstance` in class `GeneratedMessageV3`

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3`

### getIdentityCase

public ProtocolMetadata.protocolIdentity.IdentityCase getIdentityCase()

Specified by:
  `getIdentityCase` in interface `ProtocolMetadata.protocolIdentityOrBuilder`

### getTypeValue

public int getTypeValue()

     The type of the identity

`.xg.md.protocolIdentity.identityType type = 1;`

Specified by:
  `getTypeValue` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  The enum numeric value on the wire for type.

### getType

public ProtocolMetadata.protocolIdentity.identityType getType()

     The type of the identity

`.xg.md.protocolIdentity.identityType type = 1;`

Specified by:
  `getType` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  The type.

### hasHostnameIdentity

public boolean hasHostnameIdentity()

     hostname identity

`.xg.md.protocolIdentity.hostnameIdentity hostname_identity = 11;`

Specified by:
  `hasHostnameIdentity` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  Whether the hostnameIdentity field is set.

### getHostnameIdentity

public ProtocolMetadata.protocolIdentity.hostnameIdentity getHostnameIdentity()

     hostname identity

`.xg.md.protocolIdentity.hostnameIdentity hostname_identity = 11;`

Specified by:
  `getHostnameIdentity` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  The hostnameIdentity.

### getHostnameIdentityOrBuilder

public ProtocolMetadata.protocolIdentity.hostnameIdentityOrBuilder getHostnameIdentityOrBuilder()

     hostname identity

`.xg.md.protocolIdentity.hostnameIdentity hostname_identity = 11;`

Specified by:
  `getHostnameIdentityOrBuilder` in interface `ProtocolMetadata.protocolIdentityOrBuilder`

### hasAnonymousIdentity

public boolean hasAnonymousIdentity()

     anonymous identity

`.xg.md.protocolIdentity.anonymousIdentity anonymous_identity = 12;`

Specified by:
  `hasAnonymousIdentity` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  Whether the anonymousIdentity field is set.

### getAnonymousIdentity

public ProtocolMetadata.protocolIdentity.anonymousIdentity getAnonymousIdentity()

     anonymous identity

`.xg.md.protocolIdentity.anonymousIdentity anonymous_identity = 12;`

Specified by:
  `getAnonymousIdentity` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  The anonymousIdentity.

### getAnonymousIdentityOrBuilder

public ProtocolMetadata.protocolIdentity.anonymousIdentityOrBuilder getAnonymousIdentityOrBuilder()

     anonymous identity

`.xg.md.protocolIdentity.anonymousIdentity anonymous_identity = 12;`

Specified by:
  `getAnonymousIdentityOrBuilder` in interface `ProtocolMetadata.protocolIdentityOrBuilder`

### hasCertFingerprintIdentity

public boolean hasCertFingerprintIdentity()

     cert fingerprint identity

`.xg.md.protocolIdentity.certFingerprintIdentity cert_fingerprint_identity = 13;`

Specified by:
  `hasCertFingerprintIdentity` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  Whether the certFingerprintIdentity field is set.

### getCertFingerprintIdentity

public ProtocolMetadata.protocolIdentity.certFingerprintIdentity getCertFingerprintIdentity()

     cert fingerprint identity

`.xg.md.protocolIdentity.certFingerprintIdentity cert_fingerprint_identity = 13;`

Specified by:
  `getCertFingerprintIdentity` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  The certFingerprintIdentity.

### getCertFingerprintIdentityOrBuilder

public ProtocolMetadata.protocolIdentity.certFingerprintIdentityOrBuilder getCertFingerprintIdentityOrBuilder()

     cert fingerprint identity

`.xg.md.protocolIdentity.certFingerprintIdentity cert_fingerprint_identity = 13;`

Specified by:
  `getCertFingerprintIdentityOrBuilder` in interface `ProtocolMetadata.protocolIdentityOrBuilder`

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessageV3`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static ProtocolMetadata.protocolIdentity parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ProtocolMetadata.protocolIdentity parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ProtocolMetadata.protocolIdentity parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ProtocolMetadata.protocolIdentity parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ProtocolMetadata.protocolIdentity parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ProtocolMetadata.protocolIdentity parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static ProtocolMetadata.protocolIdentity parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ProtocolMetadata.protocolIdentity parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ProtocolMetadata.protocolIdentity parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ProtocolMetadata.protocolIdentity parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ProtocolMetadata.protocolIdentity parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ProtocolMetadata.protocolIdentity parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ProtocolMetadata.protocolIdentity.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static ProtocolMetadata.protocolIdentity.Builder newBuilder()

### newBuilder

public static ProtocolMetadata.protocolIdentity.Builder newBuilder(ProtocolMetadata.protocolIdentity prototype)

### toBuilder

public ProtocolMetadata.protocolIdentity.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected ProtocolMetadata.protocolIdentity.Builder newBuilderForType(GeneratedMessageV3.BuilderParent parent)
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.

Specified by:
  `newBuilderForType` in class `GeneratedMessageV3`

### getDefaultInstance

public static ProtocolMetadata.protocolIdentity getDefaultInstance()

### parser

public static Parser<ProtocolMetadata.protocolIdentity> parser()

### getParserForType

public Parser<ProtocolMetadata.protocolIdentity> getParserForType()
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessageV3`

### getDefaultInstanceForType

public ProtocolMetadata.protocolIdentity getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`